###################################################
### chunk number 1: 
###################################################
options(continue=" ")
options(SweaveHooks=list(fig=function()
par(mar=c(5.1, 4.1, 1.1, 2.1))))
require (oosp)
require (rtv)


###################################################
### chunk number 2: 
###################################################
seed = c ("2008-01-01", "2008-02-01", "2008-03-01", "2008-04-01")
x = drtv (seed)
class (x)
x


###################################################
### chunk number 3: 
###################################################
timestring (x)


###################################################
### chunk number 4: 
###################################################
timestring (x, date=TRUE)


###################################################
### chunk number 5: 
###################################################
x$dow


###################################################
### chunk number 6: 
###################################################
dowstring (x$dow)


###################################################
### chunk number 7: 
###################################################
seed = c ("2010-01-01 12:15:00", "2010-01-01 12:16:00",
	"2010-01-01 12:17:00", "2010-01-01 12:18:00")
x = drtv (seed, date=FALSE)
x
timestring (x)


###################################################
### chunk number 8: 
###################################################
seed = c ("2010:01:01-12:15:00", "2010:01:01-12:16:00",
	"2010:01:01-12:17:00", "2010:01:01-12:18:00")
tf = "%Y:%m:%d-%H:%M:%OS"
x = drtv (seed, informat=tf)
x
timestring (x, outformat=tf)


###################################################
### chunk number 9: 
###################################################
seed = c ("2008-01-01", "2008-02-01", "2008-03-01", "2008-04-01")
x = crtv (seed)
x
timestring (x)


###################################################
### chunk number 10: 
###################################################
seed = c ("2008-01-01", "2008-01-08", "2008-01-15", "2008-01-22")
crtv (seed, origin=crtv ("2008-01-01"), unit="week")


###################################################
### chunk number 11: 
###################################################
seed = c ("2008-01-01", "2008-01-08", "2008-01-15", "2008-01-22")
crtv (seed, relative=TRUE, unit="week")


###################################################
### chunk number 12: 
###################################################
seed = c ("2000-01-01", "2000-07-02", "2001-01-01", "2001-07-02")
crtv (seed, unit="year")


###################################################
### chunk number 13: 
###################################################
seed = c ("2000-01-01", "2000-07-02", "2001-01-01", "2001-07-02")
x = crtv (seed, unit="year")
as.numeric (x)


###################################################
### chunk number 14: 
###################################################
v = c (0, 0.5, 1, 1.49863)
x = crtv (v, unit="year")
timestring (x)


###################################################
### chunk number 15: 
###################################################
x = crtv ("2001-07-02", unit="year")
v = as.numeric (x)
v
format (v, digits=16)
timestring (crtv (v, unit="year") )


###################################################
### chunk number 16: 
###################################################
seed = c ("2008-01-01", "2008-02-01", "2008-03-01", "2008-04-01")
discrete.time = drtv (seed)
discrete.time
continuous.time = crtv (discrete.time)
continuous.time
discrete.time = drtv (continuous.time)
timestring (discrete.time)


###################################################
### chunk number 17: 
###################################################
seed = c ("2008-01-01", "2008-01-02", "2008-01-03", "2008-01-04")
x = crtv (seed, relative=TRUE)
as.numeric (x)
y = crtv (x, unit="hour", clone=TRUE)
as.numeric (y)


###################################################
### chunk number 18: 
###################################################
seed = paste ("2000-01-", 1:20, sep="")
x = crtv (seed)
timestring (x)


###################################################
### chunk number 19: 
###################################################
timestring (c (x [1:5], crtv (0) ) )


###################################################
### chunk number 20: 
###################################################
y = x [sample (1:20, 10)]
timestring (y)
y = sort (y)
timestring (y)


###################################################
### chunk number 21: 
###################################################
mean (x)
range (x)
min (x)
max (x)


###################################################
### chunk number 22: 
###################################################
z = x
z [10] = NA
mean (z)
mean (z, na.rm=TRUE)


###################################################
### chunk number 23: 
###################################################
length (as.drtv (x) )
length (as.crtv (x) )
diff (x)


###################################################
### chunk number 24: 
###################################################
z = x [1:4]


###################################################
### chunk number 25: 
###################################################
timestring (rtv.incr (z, 5) )
timestring (rtv.incr (drtv (z), 5) )


###################################################
### chunk number 26: 
###################################################
timestring (rtv.incr (z, 1, "year") )
timestring (rtv.incr (crtv (z, unit="year"), 1) )


###################################################
### chunk number 27: 
###################################################
timestring (z + 1)
timestring (1 + z)
timestring (z - 1)


###################################################
### chunk number 28: 
###################################################
timeseq (range (x), n=5)
timeseq (min (x), max (x), 5, unit="month")


###################################################
### chunk number 29: 
###################################################
min (x) + (0:4) * 19/4


###################################################
### chunk number 30: 
###################################################
#realisations from a uniform random time variable
bound = crtv (c ("2000-01-01", "2001-01-01") )
x1 = bound [1] + range (bound, diff=TRUE) * runif (250)


###################################################
### chunk number 31: 
###################################################
plot (x1)


###################################################
### chunk number 32: 
###################################################
#realisations from a normal random time variable
mu = crtv ("2004-06-01")
x2 = mu + rnorm (250, sd=10)


###################################################
### chunk number 33: 
###################################################
plot (x2)


###################################################
### chunk number 34: 
###################################################
y = rexp (length (x1), 0.005)


###################################################
### chunk number 35: 
###################################################
plot (x1, y)


###################################################
### chunk number 36: 
###################################################
#try to make things more interesting...
x1 = x1 * 4
y = y + 1000 * sin (2 * pi * rtv.cp (x1, "week") )
y = y + 500 * sin (2 * pi * rtv.cp (x1, "day") )


###################################################
### chunk number 37: 
###################################################
timeplot.multicycle (x1, y)


###################################################
### chunk number 38: 
###################################################
year = 2000:2010
is.leap (year)
ndays.year (year)


###################################################
### chunk number 39: 
###################################################
month = 1:12
ndays.month (2000, month)
cumdays.month (2000, month)


###################################################
### chunk number 40: 
###################################################
date.to.dow (2000, 2, 1)
date.to.doy (2000, 2, 1)
doy.to.date (2000, 32)


###################################################
### chunk number 41: 
###################################################
monthstring (month)
monthstring (month, case="lower")


###################################################
### chunk number 42: 
###################################################
dow = 1:7
dowstring (dow)
dowstring (dow, case="upper", nletters=1)
dowstring (dow, nletters=NA)


